body {
    padding: 0;
}

tbody:empty {
    display: none;
}

/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding-left: 0;
    padding-right: 0;
}

.k-numerictextbox .k-numeric-wrap {
    padding-right: 28px;
}

.k-numerictextbox .k-input {
    text-align: right;
    padding-right: 5px;
}

/* Carousel */
.carousel-capxion p {
    font-size: 20px;
    line-height: 1.4;
}

/* Make .svg files in the carousel display properly in older browsers */
.carousel-inner .item img[src$=".svg"] {
    width: 100%;
}

/* Hide/rearrange for smaller screens */
@media screen and (max-width: 767px) {
    /* Hide capxions */
    .carousel-capxion {
        display: none;
    }
}

.body-content {
    margin: 0;
    width: 100%;
}

.k-edit-form-container {
    width: auto;
}


.k-list > .k-item.k-first {
    padding-top: 2em;
}

.k-list > .k-state-hover.k-first {
    padding-top: calc(2em - 1px);
}

.k-list > .k-item.k-first > .k-group {
    height: 2em;
    left: 0;
}

.k-list > .k-state-hover.k-first > .k-group {
    top: -1px;
    left: -1px;
}


tr.marked-delete {
    background-color: #F53D3D;
}

    tr.marked-delete:hover {
        background-color: #996666;
    }

th > .k-grid-filter {
    margin-right: -0.3em !important;
}

td, th {
    padding: 1px !important;
}

.k-grid-filter.k-state-active {
    background-color: green;
}

.k-checkbox:indeterminate:disabled + .k-checkbox-label:after {
    background-color: gray;
}
/* reset everything to the default box model */

*, :before, :after {
    -webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
    box-sizing: content-box;
}

/* set a border-box model only to elements that need it */

.form-control, /* if this class is applied to a Kendo UI widget, its layout may change */
.container,
.container-fluid,
.row,
.col-xs-1, .col-sm-1, .col-md-1, .col-lg-1,
.col-xs-2, .col-sm-2, .col-md-2, .col-lg-2,
.col-xs-3, .col-sm-3, .col-md-3, .col-lg-3,
.col-xs-4, .col-sm-4, .col-md-4, .col-lg-4,
.col-xs-5, .col-sm-5, .col-md-5, .col-lg-5,
.col-xs-6, .col-sm-6, .col-md-6, .col-lg-6,
.col-xs-7, .col-sm-7, .col-md-7, .col-lg-7,
.col-xs-8, .col-sm-8, .col-md-8, .col-lg-8,
.col-xs-9, .col-sm-9, .col-md-9, .col-lg-9,
.col-xs-10, .col-sm-10, .col-md-10, .col-lg-10,
.col-xs-11, .col-sm-11, .col-md-11, .col-lg-11,
.col-xs-12, .col-sm-12, .col-md-12, .col-lg-12 {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

#LayoutMenu {
    background-color: #008000;
    border: 0;
}

.k-grid {
    border: 0;
}

#LayoutMenu > li > .k-link {
    color: #FFFFFF;
}

#LayoutMenu > li > :hover {
    color: #FFFFFF;
    background-color: #55AA55;
}

#LayoutMenu > li.k-state-highlight > .k-link {
    color: #000000;
    background-color: #fcfffc;
}

#LayoutMenu > li.k-state-border-down > .k-link {
    color: #000000;
    background-color: #fcfffc;
}

#LayoutMenu_mn_active > .k-link {
    color: #000000;
}

.k-grid-cancel-note, .k-button-cancel-note, .k-button-cancel-bill, .k-button[data-fullname="local:CancelBill"] {
    background-color: #BF23AA;
    border-color: #BF23AA;
}

    .k-grid-cancel-note:hover, .k-button-cancel-note:hover, .k-button-cancel-bill:hover {
        background-color: #e15ed1;
        border-color: #e15ed1;
    }

.k-grid-delete {
    background-color: #ff0000;
    border-color: #ff0000;
}

    .k-grid-delete:hover {
        background-color: #ff5555;
        border-color: #ff5555;
    }

    .k-grid-delete:disabled {
        background-color: #e66565;
        border-color: #e66565;
    }

.k-group-header {
    text-align: left !important;
}

.k-grid-content {
    min-height: 200px;
}

.bottom-arrow-dropdown > span.k-dropdown-wrap {
    height: 40px !important;
}

    .bottom-arrow-dropdown > span.k-dropdown-wrap > span.k-input {
        width: calc(100% + 25px) !important;
        text-indent: 0 !important;
    }

    .bottom-arrow-dropdown > span.k-dropdown-wrap > span.k-select {
        top: calc(100% - 25px);
        left: calc(calc(100% / 2) - 14px) !important
    }

.bottom-arrow-dropdown-x > span.k-dropdown-wrap {
    height: 60px !important;
}

    .bottom-arrow-dropdown-x > span.k-dropdown-wrap > span.k-input {
        width: calc(100% + 25px) !important;
        text-indent: 0 !important;
    }

    .bottom-arrow-dropdown-x > span.k-dropdown-wrap > span.k-select {
        top: calc(100% - 25px);
        left: calc(calc(100% / 2) - 14px) !important
    }

.state-species-dropdown {
    height: 67px;
}

    .state-species-dropdown .k-dropdown {
        height: 67px;
        width: 97px;
    }

    .state-species-dropdown .k-dropdown-wrap {
        height: 65px;
        width: 67px;
    }

        .state-species-dropdown .k-dropdown-wrap span.k-select {
            top: 38px !important;
            left: 35px !important;
        }


    .state-species-dropdown .k-input {
        text-indent: 0;
        max-height: 48px;
        width: 97px;
    }

    .state-species-dropdown .buttons {
        margin-top: 3px;
        text-align: center;
    }

.k-list-container:not(#ref-search-list) {
    width: auto !important;
}

#StateSpeciesClassificationId-list .k-group-header, #StateSpeciesClassificationId-list .k-group {
    background-color: #008000;
}

.shot-export-done, .game-export-done, .wis-export-done {
    background-color: #9acd32;
}

.shot-export-ready, .game-export-ready, .wis-export-ready {
    background-color: #ffa500;
}

.game-export-has-note, .wis-export-error {
    background-color: #ff0000;
}

#grid td > span.k-dropdown > span.k-dropdown-wrap > span.k-input {
    display: inline-flex;
    width: 110%;
    min-height: 23px;
}

.k-grid-confirm-delete {
    background-color: #ff0000;
    border-color: #ff0000;
}

    .k-grid-confirm-delete:hover {
        background-color: #ff5555;
        border-color: #ff5555;
    }

    .k-grid-confirm-delete:disabled {
        background-color: #e66565;
        border-color: #e66565;
    }


.address-dropdown {
    height: auto;
}

    .address-dropdown .k-dropdown {
        height: 70px;
        width: 98px;
    }

    .address-dropdown .k-dropdown-wrap {
        height: 70px;
        width: 68px;
    }

    .address-dropdown .k-input {
        text-indent: 0;
        max-height: 68px;
        width: 80px;
    }

    .address-dropdown .buttons {
        margin-top: 3px;
        text-align: center;
    }

.k-numerictextbox .field-validation-error .k-i-warning {
    color: black;
    position: relative;
    top: auto;
    right: auto;
    width: 16px;
    display: inline-block;
}

td.input-loading span.input-loading {
    display: block !important;
}

td.input-warning span.input-warning {
    display: block !important;
}

tr.k-grid-edit-row > td {
    overflow: visible;
}


.k-tabstrip-wrapper,
.k-tabstrip {
    height: 100%;
    margin: 0;
    padding: 0;
    border-width: 0;
}

.k-textbox:disabled {
    border-color: #d5d5d5;
    color: #555555;
    opacity: 0.7;
}

    .k-textbox:disabled:hover {
        border-color: #d5d5d5;
        color: #555555;
        opacity: 0.7;
    }

div.window-content {
    overflow: auto;
    height: calc(100% - 72px);
    width: 100%;
    margin-left: -12px;
    margin-top: -12px;
    padding: 12px;
}

div.window-footer {
    position: absolute;
    bottom: 0;
    display: block;
    width: calc(100% - 20px);
    margin-top: 150px;
    padding: 19px 0 20px;
    text-align: center;
    border-top: 1px solid #e5e5e5;
}

table.general-billing-head td {
    position: relative;
}

table.general-billing-body td {
    position: relative;
}

td.billing-detail-count {
    min-width: 120px;
    text-align: right;
    border-right: 1px solid black;
}

td.billing-detail-value {
    min-width: 120px;
    text-align: right;
    border-left: 1px solid black;
    border-right: 1px solid black;
}

td.billing-detail-species2 {
    min-width: 220px;
    max-width: 220px;
}

table.general-billing-head {
    border: 2px solid black;
}

    table.general-billing-head > tbody > tr:first-child {
        border-top: 2px solid black;
    }

    table.general-billing-head > tbody > tr:last-child {
        border-bottom: 2px solid black;
    }

tr.billing-detail-begin {
    border-top: 2px solid black;
}

tr.billing-detail-entry {
    border-top: 1px solid black;
    border-bottom: 1px solid black;
}

table.general-billing-body {
    border-left: 2px solid black;
    border-right: 2px solid black;
}

    table.general-billing-body > tbody {
        border-left: 2px solid black;
        border-right: 2px solid black;
    }

tbody.general-billing-odd {
    background-color: #f1f1f1;
}

tbody.general-billing-sum {
    background-color: #a1a1a1;
}

    tbody.general-billing-sum > tr:first-child {
        height: 50px;
        border: 2px solid black;
    }

.delivery-note-position-table > thead > tr > th {
    border-right: solid 1px;
}

.delivery-note-position-table > tbody > tr > td:not(:nth-child(6)):not(:nth-child(8)) {
    border-right: solid 1px;
}

.delivery-note-position-table > thead > th {
    border: solid 1px;
}

.delivery-note-position-table > thead {
    border: solid 2px;
}

.delivery-note-position-table > tbody {
    border: solid 2px;
}

.delivery-note-position-table > thead > tr > th {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}


.additional-remuneration-table {
    max-height: 500px;
    overflow-x: auto;
    display: block;
}

.k-grid .k-grid-header .k-header.rotate {
    height: 140px;
}

    .k-grid .k-grid-header .k-header.rotate span.rotate {
        display: inline-block;
        white-space: nowrap;
        transform: translate(0,100%) rotate(-90deg);
        transform-origin: 0 0;
        position: absolute;
        bottom: 25px;
        margin-left: -9px;
        margin-bottom: -7px
    }

.k-grid .k-grid-header .k-header span.rotate {
    display: inline-block;
    white-space: nowrap;
    transform: translate(0,100%) rotate(-90deg);
    transform-origin: 25px 0;
    position: absolute;
    bottom: 45px;
    margin-left: -9px;
}

.k-grid .k-grid-header .k-header.rotate a.k-link {
    display: inline-block;
    white-space: nowrap;
    transform: translate(0,100%) rotate(-90deg);
    transform-origin: 0 0;
    position: absolute;
    bottom: 25px;
    margin-left: -9px;
}

th[data-field="DeliveryNoteNumber"].k-header.rotate a.k-link {
    margin-left: 24px !important;
}

th[data-field="MA49GameReference"].k-header a.k-link,
th[data-field="ShotReferenceNr"].k-header a.k-link {
    margin-left: 20px !important;
}

tr.delivery-note-exported {
    background-color: #99ccff;
}

    tr.delivery-note-exported:hover {
    }

tr.k-alt.delivery-note-exported {
    background-color: #6699ff;
}

    tr.k-alt.delivery-note-exported:hover {
        background-color: #bdb4af;
    }


table.trophy-evaluation-table > tbody:nth-child(n + 2):nth-last-child(n + 2) > tr:first-child {
    border-top: 1px solid;
}

table.trophy-evaluation-table > tbody:nth-child(n + 2) > tr > td:nth-last-child(-n+5):nth-child(n+2) {
    min-width: 50px !important;
    text-align: right !important;
    border-left: 1px solid !important;
}

table.trophy-evaluation-table > tbody:last-child > tr:last-child {
    min-width: 50px !important;
    text-align: right !important;
    border-top: 3px double !important;
}